Subject: Re: [bug#28886] [PATCH] gnu: Add emacs-robe.

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 04 Dec 2017 00:04:02 +0100

Hi again,

some time ago I wrote this:

Ricardo Wurmus <[email-masked]> writes:

> Hi,
>
>> * gnu/packages/emacs.scm (emacs-robe): New variable.
>> ---
>
> Thanks, this looks good.
>
> The website lists a couple of Ruby dependencies:
>
> --8<---------------cut here---------------start------------->8---
> * pry
> * pry-doc >= 0.6.0 (on MRI)
> * method_source >= 0.8.2 (for compatibility with the latest
>  Rubinius)
> --8<---------------cut here---------------end--------------->8---
>
> yet, I don’t see them among the inputs of this package.  Is this just
> something that users are reasonably expected to have on their systems
> when they want to use robe, or should these things be among the inputs?
>
> I trust you made the right decision here, but I thought I’d just ask as
> it is a bit confusing.

“pry” is a ruby debugger, right?  It is a runtime dependency, but one
would expect a Ruby developer to provide one version or another,
dependent on their project.

If this is correct I don’t want to block this patch: it looks good to
me.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net